## medit 0.10.4

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(MOO)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
FIND_PACKAGE(MooCmake)

SET(MOO_VERSION 0.10.4)
SET(MOO_PACKAGE_NAME moo)
SET(MOO_EMAIL "emuntyan@sourceforge.net")
SET(MOO_COPYRIGHT "2004-2010 Yevgen Muntyan <${MOO_EMAIL}>")
SET(PACKAGE_BUGREPORT ${MOO_EMAIL})
SET(MOO_PACKAGE_VENDOR ${MOO_EMAIL})

MOO_OPTION(MOO_BUILD_CTAGS ${MOO_OS_UNIX} "Build Ctags plugin" HIDDEN ${MOO_OS_WIN32} HEADER TRUE)
MOO_OPTION(MOO_ENABLE_PROJECT FALSE "Build project plugin" HIDDEN TRUE)
MOO_OPTION(MOO_ENABLE_UNIT_TESTS FALSE "Build unit tests" DEFINE TRUE)
MOO_OPTION(MOO_ENABLE_GENERATED_FILES ${MOO_OS_UNIX} "Run gtk-update-icon-cache on install")
MOO_OPTION(MOO_BROKEN_GTK_THEME FALSE "Work around bugs in gtk theme" HEADER TRUE)

INCLUDE(cmake/gtk.cmake)
INCLUDE(cmake/moo.cmake)
INCLUDE(cmake/dist.cmake)

MOO_DEFINE_VERSIONS(MOO ${MOO_VERSION})
SET(MOO_MODULE_MAJOR_VERSION 1)
SET(MOO_MODULE_MINOR_VERSION 0)
SET(MOO_MODULE_VERSION \"${MOO_MODULE_MAJOR_VERSION}.${MOO_MODULE_MINOR_VERSION}\")

ADD_DEFINITIONS(-DHAVE_CONFIG_H)
ADD_DEFINITIONS(-DGETTEXT_PACKAGE=\"moo\")
ADD_DEFINITIONS(-DG_LOG_DOMAIN=\"Moo\")
INCLUDE_DIRECTORIES(${MOO_BINARY_DIR} ${MOO_BINARY_DIR}/moo ${MOO_SOURCE_DIR}/moo)
ADD_DEFINITIONS(${GTK_CFLAGS} ${GTK_CFLAGS_OTHER})

INCLUDE(config.cmake)

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(moo)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(medit)

MOO_ADD_MSG_CATALOG(moo po)
MOO_ADD_MSG_CATALOG(moo-gsv po-gsv)

MOO_WRITE_CONFIG_H(config.h.in config.h @ONLY)

CONFIGURE_FILE(config-dirs.h.in config-dirs.h @ONLY)

IF(WIN32)
  GET_FILENAME_COMPONENT(_MOO_SOURCE_DIR ${MOO_SOURCE_DIR} ABSOLUTE)
  # TO_NATIVE_PATH damn it! Cmake is such a wonderful piece of language...
  STRING(REPLACE "/" "\\" _MOO_SOURCE_DIR "${_MOO_SOURCE_DIR}")
  GET_FILENAME_COMPONENT(_MOO_BINARY_DIR ${MOO_BINARY_DIR} ABSOLUTE)
  STRING(REPLACE "/" "\\" _MOO_BINARY_DIR "${_MOO_BINARY_DIR}")
  SET(_MOO_RUN_HOW "@")
  CONFIGURE_FILE(plat/win32/run-medit.in run-medit.bat)
  SET(_MOO_RUN_HOW "gdb --args ")
  CONFIGURE_FILE(plat/win32/run-medit.in run-medit-in-gdb.bat)
ENDIF(WIN32)

IF(NOT WIN32)
  INSTALL(PROGRAMS plat/unix/xdg-open plat/unix/xdg-email plat/unix/moo-open-html-help DESTINATION ${MOO_DATA_DIR}/scripts)
ENDIF(NOT WIN32)

=== doc/CMakeLists.txt ===
FIND_PACKAGE(Perl)

GET_FILENAME_COMPONENT(MOO_HELP_FILES_DIR ${CMAKE_CURRENT_SOURCE_DIR}/help ABSOLUTE)
FILE(MAKE_DIRECTORY ${MOO_HELP_FILES_DIR})

SET(_moo_build_docs)
IF(MOO_DEV_MODE OR NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/help-sections.h)
  SET(_moo_build_docs TRUE)
  MESSAGE(STATUS "Will build docs")
ENDIF(MOO_DEV_MODE OR NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/help-sections.h)

IF(_moo_build_docs)
  SET(MOO_HELP_T2T_FILES
    license.t2t
    prefs-file.t2t
    prefs.t2t
    user-tools.t2t
    regex.t2t
    man-medit.t2t
  )

  GET_FILENAME_COMPONENT(MOO_HELP_T2T_MAIN ${CMAKE_CURRENT_SOURCE_DIR}/medit.t2t ABSOLUTE)
  GET_FILENAME_COMPONENT(MOO_HELP_T2T_MAN ${CMAKE_CURRENT_SOURCE_DIR}/man-medit.t2t ABSOLUTE)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/medit.t2t.in ${MOO_HELP_T2T_MAIN} @ONLY)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/man-medit.t2t.in ${MOO_HELP_T2T_MAN} @ONLY)

  GET_FILENAME_COMPONENT(MOO_HELP_HTML_FILE ${CMAKE_CURRENT_SOURCE_DIR}/help.html ABSOLUTE)
  GET_FILENAME_COMPONENT(MOO_MAKEDOCS_CMAKE ${CMAKE_CURRENT_SOURCE_DIR}/makedocs.cmake ABSOLUTE)
  GET_FILENAME_COMPONENT(MOO_HELP_MAN_FILE ${CMAKE_CURRENT_SOURCE_DIR}/medit.1 ABSOLUTE)
  GET_FILENAME_COMPONENT(MOO_HELP_SECTIONS_H ${CMAKE_CURRENT_SOURCE_DIR}/help-sections.h ABSOLUTE)
  GET_FILENAME_COMPONENT(MOO_HELP_TXT2TAGS_PY ${CMAKE_CURRENT_SOURCE_DIR}/txt2tags/txt2tags.py ABSOLUTE)

  ADD_CUSTOM_COMMAND(OUTPUT ${MOO_HELP_HTML_FILE}
                     COMMAND ${CMAKE_COMMAND} -D INPUT_FILE=${MOO_HELP_T2T_MAIN}
                                              -D OUTPUT_FILE=${MOO_HELP_HTML_FILE}
                                              -D OUTPUT_DIR=${MOO_HELP_FILES_DIR}
                                              -D SECTIONS_FILE=${MOO_HELP_SECTIONS_H}
                                              -D MAN_INPUT_FILE=${MOO_HELP_T2T_MAN}
                                              -D MAN_OUTPUT_FILE=${MOO_HELP_MAN_FILE}
                                              -D PYTHON_EXECUTABLE=${PYTHON_EXECUTABLE}
                                              -D PERL_EXECUTABLE=${PERL_EXECUTABLE}
                                              -D TXT2TAGS=${MOO_HELP_TXT2TAGS_PY}
                                              -P ${MOO_MAKEDOCS_CMAKE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     MAIN_DEPENDENCY ${MOO_HELP_T2T_MAIN}
                     DEPENDS ${MOO_MAKEDOCS_CMAKE} ${MOO_HELP_T2T_FILES})

  SET_SOURCE_FILES_PROPERTIES(${MOO_HELP_MAN_FILE} PROPERTIES EXTERNAL_OBJECT 1 GENERATED 1)
  SET_SOURCE_FILES_PROPERTIES(${MOO_HELP_SECTIONS_H} ${MOO_HELP_T2T_MAIN} ${MOO_HELP_T2T_MAN} PROPERTIES GENERATED 1)

  ADD_CUSTOM_TARGET(doc ALL DEPENDS ${MOO_HELP_HTML_FILE})
ENDIF(_moo_build_docs)

INSTALL(DIRECTORY ${MOO_HELP_FILES_DIR}/ DESTINATION ${MOO_HELP_DIR})

IF(UNIX)
  INSTALL(FILES medit.1 DESTINATION ${MANDIR}/man1)
ENDIF(UNIX)

# ADD_CUSTOM_TARGET(doc-clean COMMAND ${CMAKE_COMMAND} -E remove ${MOO_DOC_MEDIT_TXT} ${MOO_DOC_HTML_FILE} ${MOO_HELP_SECTIONS_H} ${MOO_DOC_STAMP_FILE})

=== medit/CMakeLists.txt ===
IF(MOO_ENABLE_PROJECT)
  ADD_DEFINITIONS(-DMOO_ENABLE_PROJECT)
ENDIF(MOO_ENABLE_PROJECT)

IF(MOO_ENABLE_UNIT_TESTS AND NOT WIN32)
  ADD_DEFINITIONS(-DSRCDIR="${CMAKE_SOURCE_DIR}/medit")
ENDIF(MOO_ENABLE_UNIT_TESTS AND NOT WIN32)

IF(MOO_ENABLE_PYTHON)
  SET(moopythonlib moopython)
ENDIF(MOO_ENABLE_PYTHON)

SET(MEDIT_SOURCES mem-debug.h run-tests.h parse.h main.c)
SET(medit_libs
  meditplugins
  ${moopythonlib}
  moousertools
  mooapp
  smclient
  mooedit
  gtksourceview
  moofileview
  moolua
  mooutils
  xdgmime
  moo
)

MOO_WIN32_RESOURCE(medit.rc.in medit MEDIT_SOURCES medit_libs)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})

ADD_EXECUTABLE(medit WIN32 ${MEDIT_SOURCES})
TARGET_LINK_LIBRARIES(medit ${medit_libs} ${MOO_DEP_LIBS})
INSTALL(TARGETS medit DESTINATION ${BINDIR})

IF(MOO_ENABLE_PYTHON)
  ADD_DEPENDENCIES(medit python-plugins-ini)
ENDIF(MOO_ENABLE_PYTHON)

FIND_PACKAGE(MooDesktopFile)
MOO_INSTALL_DESKTOP_FILE(medit.desktop.in)

SET(PIXMAPS_DIR "${DATADIR}/pixmaps")
SET(ICONTHEME_DIR "${DATADIR}/icons/hicolor/48x48/apps")
SET(MEDIT_ICONS "${CMAKE_SOURCE_DIR}/moo/mooutils/pixmaps/medit.png")
INSTALL(FILES ${MEDIT_ICONS} DESTINATION "${PIXMAPS_DIR}")
INSTALL(FILES ${MEDIT_ICONS} DESTINATION "${ICONTHEME_DIR}")

=== moo/CMakeLists.txt ===
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/moo-libs.cmake)

ADD_DEFINITIONS(-DMOO_COMPILATION -DXDG_PREFIX=_moo_xdg_)
INCLUDE_DIRECTORIES(${MOO_SOURCE_DIR}/doc)

MOO_ADD_GENERATED_FILE(
  ${CMAKE_CURRENT_BINARY_DIR}/marshals.stamp
  "${CMAKE_CURRENT_BINARY_DIR}/marshals.c;${CMAKE_CURRENT_BINARY_DIR}/marshals.h"
  COMMAND ${MOO_CMAKE_COMMAND} -P ${MOO_SOURCE_DIR}/moo/genmarshal.cmake
  DEPENDS marshals.list genmarshal.cmake
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

SET(MOO_XML2H_PY ${MOO_SOURCE_DIR}/moo/xml2h.py)
SET(MOO_GLADE2C_PY ${MOO_SOURCE_DIR}/moo/glade2c.py)

ADD_SUBDIRECTORY(mooutils)
ADD_SUBDIRECTORY(moolua)
ADD_SUBDIRECTORY(moofileview)
ADD_SUBDIRECTORY(mooedit)
ADD_SUBDIRECTORY(mooapp)

IF(WIN32)
  LIST(APPEND MOO_SOURCES moo-dll.c)
ENDIF(WIN32)

IF(MSVC)
  SET(moo_gendef_args)
  IF(MOO_ENABLE_UNIT_TESTS)
    LIST(APPEND moo_gendef_args test)
  ENDIF(MOO_ENABLE_UNIT_TESTS)
  MOO_ADD_GENERATED_FILE(
    ${CMAKE_CURRENT_BINARY_DIR}/moo.def.stamp
    ${CMAKE_CURRENT_BINARY_DIR}/moo.def
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/gendef.py ${CMAKE_CURRENT_BINARY_DIR}/moo.def.tmp ${moo_gendef_args}
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_BINARY_DIR}/moo.def.tmp ${CMAKE_CURRENT_BINARY_DIR}/moo.def
    COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/moo.def.tmp
    COMMAND ${CMAKE_COMMAND} -E touch ${CMAKE_CURRENT_BINARY_DIR}/moo.def.stamp
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/gendef.py
  )
  LIST(APPEND MOO_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/moo.def)
ENDIF(MSVC)

MOO_ADD_LIBRARY(moo)

=== plugins/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${MOO_SOURCE_DIR}/doc ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

SET(MEDITPLUGINS_SOURCES)

###########################################################################
# ctags
#

SET(ctags_sources
  ctags/readtags.c
  ctags/readtags.h
  ctags/readtags-mangle.h
  ctags/ctags-plugin.c
  ctags/ctags-doc.c
  ctags/ctags-doc.h
  ctags/ctags-view.c
  ctags/ctags-view.h
)

IF(MOO_BUILD_CTAGS)
  LIST(APPEND MEDITPLUGINS_SOURCES ${ctags_sources})
ENDIF(MOO_BUILD_CTAGS)

###########################################################################
# fileselector
#

MOO_GEN_GXML(
  glade/moofileselector-prefs.glade
  glade/moofileselector.glade
)

LIST(APPEND MEDITPLUGINS_SOURCES
  moofileselector-prefs.c
  moofileselector.c
  moofileselector.h
)

###########################################################################
# user tools
#

ADD_SUBDIRECTORY(usertools)

# ###########################################################################
# # script
# #
#
# INCLUDE(script/CMakeLists.cmake)

###########################################################################
# libmooeditplugins
#

LIST(APPEND MEDITPLUGINS_SOURCES
  mooeditplugins.h
  mooeditplugins.c
  moofilelist.c
  moofind.c
)

MOO_GEN_GXML(
  glade/moofind.glade
  glade/moogrep.glade
)

MOO_ADD_LIBRARY(meditplugins)

IF(MOO_ENABLE_PYTHON)
  ADD_SUBDIRECTORY(moopython)
ENDIF(MOO_ENABLE_PYTHON)

# -%- strip:true -%-

=== moo/mooapp/CMakeLists.txt ===
SET(MOOAPP_SOURCES
  mooappabout.c
  mooappabout.h
  mooapp.c
  mooapp.h
  mooapp-accels.h
  mooapp-info.h
  mooapp-private.h
  moohtml.h
  moohtml.c
  moolinklabel.h
  moolinklabel.c
)

MOO_GEN_GXML(
  glade/mooappabout-dialog.glade
  glade/mooappabout-license.glade
  glade/mooappabout-credits.glade
)

MOO_ADD_GENERATED_FILE(
  ${CMAKE_CURRENT_BINARY_DIR}/mooapp-credits.h.stamp ${CMAKE_CURRENT_BINARY_DIR}/mooapp-credits.h
  COMMAND ${PYTHON_EXECUTABLE} ${MOO_XML2H_PY} ${MOO_SOURCE_DIR}/THANKS ${CMAKE_CURRENT_BINARY_DIR}/mooapp-credits.h MOO_APP_CREDITS
  DEPENDS ${MOO_SOURCE_DIR}/THANKS ${MOO_XML2H_PY}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  COMMENT "Generating mooapp-credits.h"
)

MOO_ADD_MOO_CODE_MODULE(mooapp)

ADD_SUBDIRECTORY(smclient)

=== moo/mooedit/CMakeLists.txt ===
INSTALL(FILES medit.lua DESTINATION ${MOO_DATA_DIR}/lua)

SET(completion_sources
  moocompletionsimple.c
  moocompletionsimple.h
  mootextcompletion.c
  mootextcompletion.h
  mootextpopup.c
  mootextpopup.h
)

SET(MOOEDIT_SOURCES
  ${completion_sources}
  moocmdview.c
  moocmdview.h
  mooedit-accels.h
  mooeditaction.c
  mooeditaction-factory.c
  mooeditaction-factory.h
  mooeditaction.h
  mooedit-bookmarks.c
  mooedit-bookmarks.h
  mooedit.c
  mooedit.h
  mooeditconfig.c
  mooeditconfig.h
  mooeditdialogs.c
  mooeditdialogs.h
  mooedit-fileops.c
  mooedit-fileops.h
  mooeditfiltersettings.c
  mooeditfiltersettings.h
  mooedit-impl.h
  mooedit-lua-api.c
  mooedit-lua.c
  mooedit-lua.h
  mooeditor.c
  mooeditor.h
  mooeditor-private.h
  mooeditprefs.c
  mooeditprefs.h
  mooeditprefspage.c
  mooedit-private.h
  mooedit-tests.h
  mooeditwindow.c
  mooeditwindow.h
  moofold.c
  moofold.h
  mooindenter.c
  mooindenter.h
  moolang.c
  moolang.h
  moolangmgr.c
  moolangmgr.h
  moolangmgr-private.h
  moolang-private.h
  moolinebuffer.c
  moolinebuffer.h
  moolinemark.c
  moolinemark.h
  moolineview.c
  moolineview.h
  moooutputfilter.c
  moooutputfilter.h
  mooplugin.c
  mooplugin.h
  mooplugin-loader.c
  mooplugin-loader.h
  mooplugin-macro.h
  mootextbox.c
  mootextbox.h
  mootextbtree.c
  mootextbtree.h
  mootextbuffer.c
  mootextbuffer.h
  mootextfind.c
  mootextfind.h
  mootextiter.h
  mootext-private.h
  mootextsearch.c
  mootextsearch.h
  mootextsearch-private.h
  mootextstylescheme.c
  mootextstylescheme.h
  mootextview.c
  mootextview.h
  mootextview-input.c
  mootextview-private.h
)

SET(printing_sources
  mooprintpreview.h
  mooprintpreview.c
  mootextprint.c
  mootextprint-private.h
  mootextprint.h
)

LIST(APPEND MOOEDIT_SOURCES ${printing_sources})

MOO_GEN_GXML(
  glade/mooprintpreview.glade
  glade/moopluginprefs.glade
  glade/mooeditprefs-view.glade
  glade/mooeditprefs-file.glade
  glade/mooeditprefs-filters.glade
  glade/mooeditprefs-general.glade
  glade/mooeditprefs-langs.glade
  glade/mooeditprogress.glade
  glade/mooeditsavemult.glade
  glade/mooprint.glade
  glade/mootextfind.glade
  glade/mootextfind-prompt.glade
  glade/mootextgotoline.glade
  glade/mooquicksearch.glade
  glade/moostatusbar.glade
)

MOO_GEN_ENUMS(mooedit)

MOO_GEN_UIXML(medit.xml mooedit.xml)

ADD_SUBDIRECTORY(gtksourceview)
ADD_SUBDIRECTORY(langs)

MOO_ADD_MOO_CODE_MODULE(mooedit)
ADD_DEPENDENCIES(mooedit gtksourceview)

# -%- strip:true -%-

=== moo/moofileview/CMakeLists.txt ===
SET(MOOFILEVIEW_SOURCES
  moobookmarkmgr.c
  moobookmarkmgr.h
  moobookmarkview.c
  moobookmarkview.h
  moofile.c
  moofile.h
  moofile-private.h
  moofileentry.c
  moofileentry.h
  moofilesystem.c
  moofilesystem.h
  moofileview.c
  moofileview.h
  moofileview-accels.h
  moofileview-aux.h
  moofileview-dialogs.c
  moofileview-dialogs.h
  moofileview-impl.h
  moofileview-private.h
  moofileview-tools.c
  moofileview-tools.h
  moofolder-private.h
  moofolder.c
  moofolder.h
  moofoldermodel.c
  moofoldermodel.h
  moofoldermodel-private.h
  mooiconview.c
  mooiconview.h
  mootreeview.c
  mootreeview.h
)

MOO_GEN_GXML(
  glade/moofileview-drop.glade
  glade/moofileprops.glade
  glade/moocreatefolder.glade
  glade/moobookmark-editor.glade
)

MOO_GEN_UIXML(moofileview.xml)

MOO_ADD_MOO_CODE_MODULE(moofileview)

# -%- strip:true -%-

=== moo/moolua/CMakeLists.txt ===
ADD_DEFINITIONS(-DLUA_USE_APICHECK)

IF(APPLE)
  ADD_DEFINITIONS(-DLUA_USE_MACOSX)
ELSEIF(NOT WIN32)
  ADD_DEFINITIONS(-DLUA_USE_POSIX -DLUA_USE_DLOPEN)
ENDIF(APPLE)

SET(MOOLUA_SOURCES
  ext/lfs.h
  ext/lfs.c
  moolua.h
  moolua.c
  moolua-tests.h
  luaall.c
)

MOO_ADD_MOO_CODE_MODULE(moolua)

# -%- strip:true -%-

=== moo/mooutils/CMakeLists.txt ===
SET(test_sources
  moo-test-utils.c
  moo-test-utils.h
  moo-test-macros.h
)

SET(win32_sources
  mooutils-win32.c
)

SET(thread_sources
  mooutils-thread.c
  mooutils-thread.h
)

SET(MOOUTILS_SOURCES
  ${thread_sources}
  mdhistorymgr.c
  mdhistorymgr.h
  moo-environ.h
  mooaccel.c
  mooaccel.h
  mooaccelbutton.c
  mooaccelbutton.h
  mooaccelprefs.c
  mooaccelprefs.h
  mooaction-private.h
  mooaction.c
  mooaction.h
  mooactionbase-private.h
  mooactionbase.c
  mooactionbase.h
  mooactioncollection.c
  mooactioncollection.h
  mooactionfactory.c
  mooactionfactory.h
  mooactiongroup.c
  mooactiongroup.h
  mooapp-ipc.c
  mooapp-ipc.h
  mooappinput.c
  mooappinput.h
  mooatom.h
  moobigpaned.c
  moobigpaned.h
  mooclosure.c
  mooclosure.h
  moocombo.c
  moocombo.h
  moocompat.c
  moocompat.h
  moodialogs.c
  moodialogs.h
  mooeditops.c
  mooeditops.h
  mooencodings-data.h
  mooencodings.c
  mooencodings.h
  mooentry.c
  mooentry.h
  moofiledialog.c
  moofiledialog.h
  moofileicon.c
  moofileicon.h
  moofilewatch.c
  moofilewatch.h
  moofiltermgr.c
  moofiltermgr.h
  moofontsel.c
  moofontsel.h
  mooglade.c
  mooglade.h
  moohelp.c
  moohelp.h
  moohistorycombo.c
  moohistorycombo.h
  moohistorylist.c
  moohistorylist.h
  mooi18n.c
  mooi18n.h
  moolist.h
  moomarkup.c
  moomarkup.h
  moomenu.c
  moomenu.h
  moomenuaction.c
  moomenuaction.h
  moomenumgr.c
  moomenumgr.h
  moomenutoolbutton.c
  moomenutoolbutton.h
  moo-mime.c
  moo-mime.h
  moonotebook.c
  moonotebook.h
  moopane.c
  moopane.h
  moopaned.c
  moopaned.h
  mooprefs.c
  mooprefs.h
  mooprefsdialog.c
  mooprefsdialog.h
  mooprefspage.c
  mooprefspage.h
  moopython.h
  moospawn.c
  moospawn.h
  moostock.c
  moostock.h
  mootype-macros.h
  moouixml.c
  moouixml.h
  mooundo.c
  mooundo.h
  mooutils-debug.h
  mooutils-enums.c
  mooutils-enums.h
  mooutils-file.c
  mooutils-file.h
  mooutils-file-private.h
  mooutils-fli.c
  mooutils-fs.c
  mooutils-fs.h
  mooutils-gobject-private.h
  mooutils-gobject.c
  mooutils-gobject.h
  mooutils-mem.h
  mooutils-misc.c
  mooutils-misc.h
  mooutils-tests.h
  mooutils-treeview.c
  mooutils-treeview.h
  moowindow.c
  moowindow.h
  stock-file-24.h
  stock-file-selector-24.h
  stock-select-all-16.h
  stock-select-all-24.h
  stock-terminal-24.h
)

IF(WIN32)
  LIST(APPEND MOOUTILS_SOURCES ${win32_sources})
ENDIF(WIN32)
IF(MOO_ENABLE_UNIT_TESTS)
  LIST(APPEND MOOUTILS_SOURCES ${test_sources})
ENDIF(MOO_ENABLE_UNIT_TESTS)

MOO_GEN_GXML(
  glade/mooaccelprefs.glade
  glade/mooaccelbutton.glade
  glade/moologwindow.glade
)

MACRO(MOO_GEN_PIXMAP_FILE output)
  SET(output_full ${CMAKE_CURRENT_BINARY_DIR}/${output})
  SET(stamp ${output_full}.stamp)
  SET(pixmaps)
  SET(pixbufargs)

  SET(name)
  FOREACH(_arg ${ARGN})
    IF(NOT name)
      SET(name ${_arg})
    ELSE(NOT name)
      SET(icon ${_arg})
      LIST(APPEND pixbufargs ${name} ${CMAKE_SOURCE_DIR}/moo/mooutils/pixmaps/${icon})
      LIST(APPEND pixmaps ${CMAKE_SOURCE_DIR}/moo/mooutils/pixmaps/${icon})
      SET(name)
    ENDIF(NOT name)
  ENDFOREACH(_arg)

  SET(genpixbuf_csource ${CMAKE_CURRENT_BINARY_DIR}/genpixbuf-source-${output}.cmake)
  CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/moo/mooutils/genpixbufcsource.cmake.in ${genpixbuf_csource} @ONLY)

  MOO_ADD_GENERATED_FILE(
    ${stamp} ${output_full}
    COMMAND ${CMAKE_COMMAND} -P ${genpixbuf_csource}
    DEPENDS ${pixmaps} ${genpixbuf_csource}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  )
ENDMACRO(MOO_GEN_PIXMAP_FILE)

MOO_GEN_PIXMAP_FILE(stock-moo.h
  MOO_HIDE_ICON hide.png
  MOO_CLOSE_ICON close.png
  MOO_STICKY_ICON sticky.png
  MOO_DETACH_ICON detach.png
  MOO_ATTACH_ICON attach.png
  MOO_KEEP_ON_TOP_ICON keepontop.png
)

MOO_GEN_PIXMAP_FILE(stock-medit.h
  MEDIT_ICON medit.png
)

SET(moo_utils_enum_headers
  moofiledialog.h
  moofilewatch.h
  mooprefs.h
  moouixml.h
  mooutils-misc.h
)

MOO_GEN_PIXMAP_FILE(moofileicon-symlink.h
  SYMLINK_ARROW symlink.png
  SYMLINK_ARROW_SMALL symlink-small.png
)

MOO_ADD_MOO_CODE_MODULE(mooutils)

ADD_SUBDIRECTORY(xdgmime)

# -%- strip:true -%-

=== plugins/moopython/CMakeLists.txt ===
ADD_SUBDIRECTORY(plugins)

SET(MOOMOD_SOURCES
  moo-mod.c
  moopython-api.h
  moopython-utils.h
  moopython-utils.c
  moopython-loader.h
  moopython-loader.c
)

SET(PYMOO_SOURCES
  moopython-mod.c
  moopython-pygtkmod.h
  moopython-api.h
  moopython-loader.h
  moopython-loader.c
  moopython-utils.h
  moopython-utils.c
)

SET(MOOPYTHON_SOURCES
  moopython-builtin.h
  moopython-builtin.c
  moopython-api.h
  moopython-loader.h
  moopython-loader.c
  moopython-utils.h
  moopython-utils.c
)

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}/pygtk
  ${CMAKE_CURRENT_BINARY_DIR}/pygtk
  ${PYTHON_INCLUDE_DIRS}
  ${PYGTK_INCLUDE_DIRS}
)

ADD_DEFINITIONS(${PYTHON_DEFINITIONS} ${PYGTK_DEFINITIONS})

SET(MOOPYGTK_SOURCES
  pygtk/moo-pygtk.c
  pygtk/moo-pygtk.h
  pygtk/mooapp-mod.h
  pygtk/mooedit-mod.h
  pygtk/mooutils-mod.h
  pygtk/mooapp-mod.c
  pygtk/mooedit-mod.c
  pygtk/mooutils-mod.c
  pygtk/moo-mod.h
)

SET(mooedit_defs_files
  pygtk/mooeditor.defs
  pygtk/mooplugin.defs
  pygtk/moocommand.defs
)

SET(mooutils_defs_files
  pygtk/moofileview.defs
  pygtk/moopaned.defs
)

SET(mooutils_override_files
  pygtk/moopaned.override
)

IF(WIN32)
  SET(codegen_platform --platform win32)
ELSE(WIN32)
  SET(codegen_platform)
ENDIF(WIN32)

SET(codegen_files
  codegen/codegen.py
  codegen/argtypes.py
  codegen/argtypes_m.py
  codegen/reversewrapper.py
)

GET_FILENAME_COMPONENT(_moo_abs_srcdir ${CMAKE_CURRENT_SOURCE_DIR} ABSOLUTE)

SET(codegen_script ${_moo_abs_srcdir}/codegen/codegen.py)
SET(codegen ${PYTHON_EXECUTABLE} ${codegen_script} ${codegen_platform})

SET(MOO_UTILS_CODEGEN_ARGS
)

SET(MOO_EDIT_CODEGEN_ARGS
  --register ${_moo_abs_srcdir}/pygtk/mooutils-pygtk.defs
)

SET(MOO_APP_CODEGEN_ARGS
  --register ${_moo_abs_srcdir}/pygtk/mooutils-pygtk.defs
  --register ${_moo_abs_srcdir}/pygtk/mooedit-pygtk.defs
)

SET(MOO_PY2H ${_moo_abs_srcdir}/py2h.py)

MACRO(MOO_GEN_MOD_H _moo_comp)
  STRING(TOUPPER "${_moo_comp}" _moo_COMP)
  MOO_ADD_GENERATED_FILE(
    ${CMAKE_CURRENT_BINARY_DIR}/pygtk/moo${_moo_comp}-mod.h.stamp
    ${CMAKE_CURRENT_BINARY_DIR}/pygtk/moo${_moo_comp}-mod.h
    COMMAND ${CMAKE_COMMAND} -E make_directory pygtk
    COMMAND ${PYTHON_EXECUTABLE} ${MOO_PY2H}
            ${_moo_abs_srcdir}/pygtk/moo${_moo_comp}-mod.py
            ${CMAKE_CURRENT_BINARY_DIR}/pygtk/moo${_moo_comp}-mod.h
            MOO${_moo_COMP}_PY
    DEPENDS pygtk/moo${_moo_comp}-mod.py ${MOO_PY2H})
ENDMACRO(MOO_GEN_MOD_H)

MOO_GEN_MOD_H("")
FOREACH(_moo_comp utils edit app)
  STRING(TOUPPER ${_moo_comp} _moo_COMP)
  MOO_GEN_MOD_H(${_moo_comp})
  MOO_ADD_GENERATED_FILE(
    ${CMAKE_CURRENT_BINARY_DIR}/pygtk/moo${_moo_comp}-pygtk.stamp
    ${CMAKE_CURRENT_BINARY_DIR}/pygtk/moo${_moo_comp}-pygtk.c
    COMMAND ${CMAKE_COMMAND} -E make_directory pygtk
    COMMAND ${codegen}
      --prefix _moo_${_moo_comp}
      --load-types ${_moo_abs_srcdir}/codegen/argtypes_m.py
      --register ${PYGTK_DEFS_DIR}/gtk-types.defs
      --register ${PYGTK_DEFS_DIR}/gdk-types.defs
      ${MOO_${_moo_COMP}_CODEGEN_ARGS}
      --override ${_moo_abs_srcdir}/pygtk/moo${_moo_comp}-pygtk.override
      --outfile pygtk/moo${_moo_comp}-pygtk.c.tmp
      --outfilename pygtk/moo${_moo_comp}-pygtk.c
      ${_moo_abs_srcdir}/pygtk/moo${_moo_comp}-pygtk.defs
    COMMAND ${CMAKE_COMMAND} -E copy_if_different pygtk/moo${_moo_comp}-pygtk.c.tmp pygtk/moo${_moo_comp}-pygtk.c
    COMMAND ${CMAKE_COMMAND} -E remove pygtk/moo${_moo_comp}-pygtk.c.tmp
    COMMAND ${CMAKE_COMMAND} -E touch pygtk/moo${_moo_comp}-pygtk.stamp
    DEPENDS pygtk/moo${_moo_comp}-pygtk.defs
            pygtk/moo${_moo_comp}-pygtk.override
            ${moo${_moo_comp}_override_files}
            ${moo${_moo_comp}_defs_files}
            ${codegen_files})
ENDFOREACH(_moo_comp)

# noinst_LTLIBRARIES += libmoopygtk.la
#
# libmoopygtk_la_SOURCES = $(moopygtk_sources)
# nodist_libmoopygtk_la_SOURCES = $(nodist_moopygtk_sources)
# libmoopygtk_la_LIBADD =
#
# libmoopygtk_la_CFLAGS =
# 	-Ipygtk
# 	$(MOO_CFLAGS)
# 	$(MOO_W_NO_WRITE_STRINGS)
# 	$(MOO_W_NO_UNUSED)
# 	$(PYTHON_INCLUDES)
# 	$(PYGTK_CFLAGS)
#
# libmoopygtk_la_CXXFLAGS =
# 	-Ipygtk
# 	$(MOO_CXXFLAGS)
# 	$(MOO_W_NO_WRITE_STRINGS)
# 	$(MOO_W_NO_UNUSED)
# 	$(PYTHON_INCLUDES)
# 	$(PYGTK_CFLAGS)

INCLUDE_DIRECTORIES(${MOO_SOURCE_DIR})
MOO_ADD_LIBRARY(moopython ${MOOPYTHON_SOURCES} ${MOOPYGTK_SOURCES})

# -%- strip:true, indent-width:2 -%-

=== plugins/usertools/CMakeLists.txt ===
FOREACH(file context.cfg menu.cfg)
  IF(WIN32)
    INSTALL(FILES win32-${file} DESTINATION ${MOO_DATA_DIR} RENAME ${file})
  ELSE(WIN32)
    INSTALL(FILES unix-${file} DESTINATION ${MOO_DATA_DIR} RENAME ${file})
  ENDIF(WIN32)
ENDFOREACH(file)
FOREACH(file filters.xml)
  INSTALL(FILES ${file} DESTINATION ${MOO_DATA_DIR})
ENDFOREACH(file)

LIST(APPEND MOOUSERTOOLS_SOURCES
  moousertools.c
  moousertools.h
  moousertools-prefs.c
  moousertools-prefs.h
  moocommand.c
  moocommand.h
  moocommand-private.h
  moocommand-lua.c
  moocommand-lua.h
  moocommanddisplay.c
  moocommanddisplay.h
  moooutputfilterregex.c
  moooutputfilterregex.h
  mookeyfile.c
  mookeyfile.h
)

IF(NOT WIN32)
  LIST(APPEND MOOUSERTOOLS_SOURCES
    moocommand-sh.c
    moocommand-sh.h
  )
ENDIF(NOT WIN32)

MOO_GEN_GXML(
  glade/mooedittools-exe.glade
  glade/mooedittools-lua.glade
  glade/moousertools.glade
)

MOO_GEN_ENUMS(moousertools)

MOO_ADD_MOO_CODE_MODULE(moousertools)

# -%- strip:true -%-

=== debian/changelog ===
medit (0.10.4-1) unstable; urgency=low

  * QA Upload.
  * New upstream version. (Closes: #484257)
  * Migrating the build system to dh(1) as upstream is using cmake now,
    adding build-dependencies accordingly.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 11 Jul 2010 19:48:21 +0200

medit (0.9.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove LOCALMODLIBS in configure and m4/moo-python.m4 to avoid unnecessary
    linking with -lssl (closes: #571556).
  * Stop installing MIME-Info database cache files.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 06 Mar 2010 19:40:15 +0100

medit (0.9.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport an upstream patch that fixes truncating files bug
    due to a character set conversion bug. Closes: #504767

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Nov 2008 08:56:04 +0100

medit (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/dh_checkbuildlog: Update.
  * debian/watch: Likewise.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 14 Jan 2008 23:19:59 +0000

medit (0.9.0-1) unstable; urgency=low

  [ Arthur Loiret ]
  * New upstream release.
  * Use the dh_checkbuildlog script from the aulopa project.
  * Set Standards-Version to 3.7.3.

  [ Pierre Habouzit ]
  * DM-Upload-Allowed: yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Fri, 14 Dec 2007 11:54:59 +0000

medit (0.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 11 Nov 2007 13:41:20 +0100

medit (0.8.10-2) unstable; urgency=low

  * debian/rules: Don't move /usr/lib/moo files to /usr/share/medit.
    (Closes: #441974)
  * debian/dirs: Remove /usr/share/medit.
  * debian/control: mention homepage in Homepage: field.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 13 Sep 2007 16:50:03 +0200

medit (0.8.10-1) unstable; urgency=low

  * New upstream release
  * Build fine twice in a row (Closes: #424570)
  * debian/rules: remove *.pyc files on clean

 -- Arthur Loiret <arthur.loiret@gmail.com>  Fri, 24 Aug 2007 18:21:42 +0200

medit (0.8.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: keep python support adding python-cairo-dev to Build-Depends
  * debian/copyright: add missing copyrights and update licenses
    + Thanks a lot to upstream author for his new LICENSE file
  * debian/docs: remove TODO file from list as it has been removed upstream
  * Update Maintainer's address in debian/copyright and debian/README.Debian

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 07 Aug 2007 00:07:32 +0000

medit (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Add (unintentionally removed on last upload) debian/watch
  * Build with xml support
    + debian/control: add libxml2-dev to Build-Depends
    + debian/rules: add --with-xml to confflags

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sat, 16 Jun 2007 20:29:06 +0200

medit (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * debian/rules: strip spaces and remove useless comments
  * debian/control: new Maintainer mail address

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 12 Jun 2007 10:46:39 +0200

medit (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: #392291)

 -- Arthur Loiret <freacky22527@free.fr>  Sun,  8 Apr 2007 22:47:29 +0200

=== debian/control ===
Source: medit
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.3.7), libxml-parser-perl, pkg-config, libgtk2.0-dev, python, python-dev, python-gtk2-dev, libxml2-dev, python-cairo-dev, cmake, python-support
Standards-Version: 3.7.3
Homepage: http://mooedit.sourceforge.net/
XS-DM-Upload-Allowed: yes

Package: medit
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Description: A useful programming and around-programming text editor
 Features:
  * Configurable syntax highlighting.
  * Configurable keyboard accelerators.
  * Multiplatform - works both on unix and windows.
  * Plugins: can be written in C or Python.
  * Configurable tools available from the main and context menus. They can be
    written in Python, or it can be a shell script, or in MooScript - simple
    builtin scripting lanugage.
  * Regular expression search/replace, grep and find frontends, builtin file
    selector and whatnot.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh --with python-support $@

clean:
	dh $@
	find $(CURDIR) -name CMakeFiles -type d -print0 | xargs -0 rm -rf
	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f

## medit 1.0.3

=== debian/changelog ===
medit (1.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release. This release fixes an FTBFS with binutils-gold
    (closes: #555595)
  * debian/rules:
    - disable dh_autotest since it acts on installed program.
    - install target: set mode of usr/share/medit-1/language-specs/check.sh
  * debian/control:
    - add dependency on ${misc:Depends} 
    - add build-dependency on intltool
    - drop build-dependency on cmake which is no longer needed
    - drop leading article from short description
    - drop dm-upload-allowed since currently no uploaders
    - Standards-Version 3.9.2 (no change)
  * Install upstream manpages instead of the ones in debian/

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Jul 2011 09:36:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7.3.7), libxml-parser-perl, pkg-config, libgtk2.0-dev, python, python-dev, python-gtk2-dev, libxml2-dev, python-cairo-dev, cmake, python-support
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 7.3.7),
+ pkg-config,
+ libxml-parser-perl, libxml2-dev, intltool,
+ libgtk2.0-dev,
+ python, python-dev, python-gtk2-dev,  python-cairo-dev, python-support
+Standards-Version: 3.9.2
 Homepage: http://mooedit.sourceforge.net/
-XS-DM-Upload-Allowed: yes
 
 Package: medit
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}
-Description: A useful programming and around-programming text editor
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends} 
+Description: Useful programming and around-programming text editor
  Features:
   * Configurable syntax highlighting.
   * Configurable keyboard accelerators.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,9 @@
 	dh $@
 	find $(CURDIR) -name CMakeFiles -type d -print0 | xargs -0 rm -rf
 	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f
+
+override_dh_auto_install:
+	dh_auto_install
+	chmod 755 debian/medit/usr/share/medit-1/language-specs/check.sh
+
+override_dh_auto_test:

## medit 1.0.93

=== debian/changelog ===
medit (1.0.93-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Hotkeys are working correctly in this new upstream release.
    (Closes: #648960)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 07 Jan 2012 21:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: medit
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Description: Useful programming and around-programming text editor
  Features:
   * Configurable syntax highlighting.

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	chmod 755 debian/medit/usr/share/medit-1/language-specs/check.sh
+	find $(CURDIR)/debian/medit/ -type d -empty -delete
 
 override_dh_auto_test:

## medit 1.1.1

=== debian/changelog ===
medit (1.1.1-2) unstable; urgency=low

  * QA upload.
  * Migrated from Experimental to Unstable.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 12 May 2013 22:08:36 +0200

medit (1.1.1-1) experimental; urgency=low

  * New maintainer (Closes: #575203).
  * New upstream release.
  * debian/compat: update to 9.
  * debian/control:
    - Update to debhelper 9.
    - Bump to Standards-Version 3.9.4. No changes required.
    - Add dh-autoreconf to Build-Depends to update the build system.
  * debian/rules:
    - Add '--parallel' compilation.
    - Rewrite to get rid of unnecessary dependencies and add hardening flags.
  * Add fix_package_name.patch to change program name from medit-1 to medit.
  * Add doc-base control files to register documentation with doc-base.
  * Add a menu file.

 -- Jose G. López <josgalo@gmail.com>  Mon, 25 Feb 2013 20:22:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: medit
 Section: editors
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7.3.7),
+Maintainer: Jose G. López <josgalo@gmail.com>
+Build-Depends: debhelper (>= 9), dh-autoreconf,
  pkg-config,
  libxml-parser-perl, libxml2-dev, intltool,
  libgtk2.0-dev,
- python, python-dev, python-gtk2-dev,  python-cairo-dev, python-support
-Standards-Version: 3.9.2
+ python, python-dev, python-gtk2-dev, python-cairo-dev, python-support
+Standards-Version: 3.9.4
 Homepage: http://mooedit.sourceforge.net/
 
 Package: medit

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS=-v

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS += -Wl,-z,defs,--as-needed

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --parallel --with autoreconf,python-support 

override_dh_auto_configure:
	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

clean:
	dh $@ --with autoreconf
	find $(CURDIR) -name '*.pyc' -type f -print0 | xargs -0 rm -f

override_dh_auto_install:
	dh_auto_install
	chmod 755 debian/medit/usr/share/medit/language-specs/check.sh
	find $(CURDIR)/debian/medit/ -type d -empty -delete

override_dh_auto_test:

## medit 1.2.0

=== debian/changelog ===
medit (1.2.0-2) unstable; urgency=low

  * Migrate deprecated python-support to dh_python2 (Closes: #786239)
  * Update Standards-Version 3.9.6. No changes required.
  * Change Vcs-* fields to a new repository.

 -- Jose G. López <josgalo@gmail.com>  Sat, 23 May 2015 13:07:16 +0200

medit (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version 3.9.5. No changes required.
  * Add Vcs-* fields to point where development is done.
  * Add fix-desktop-file.patch to add Keywords key to the desktop file.

 -- Jose G. López <josgalo@gmail.com>  Fri, 04 Apr 2014 17:20:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  pkg-config,
  libxml-parser-perl, libxml2-dev, intltool,
  libgtk2.0-dev,
- python, python-dev, python-gtk2-dev, python-cairo-dev, python-support
-Standards-Version: 3.9.4
+ python, python-dev, python-gtk2-dev, python-cairo-dev, dh-python
+Standards-Version: 3.9.6
 Homepage: http://mooedit.sourceforge.net/
+Vcs-Git: https://gitlab.com/deb-pkg/medit.git
+Vcs-Browser: https://gitlab.com/deb-pkg/medit
 
 Package: medit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 %:
-	dh $@ --parallel --with autoreconf,python-support 
+	dh $@ --parallel --with autoreconf,python2 
 
 override_dh_auto_configure:
 	dh_auto_configure -- --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \

=== debian/watch ===
version=3

http://sf.net/mooedit/medit-([\d\.]+)\.tar\.bz2
